## tktreectrl 2.4.1

=== debian/changelog ===
tktreectrl (2.4.1-2) unstable; urgency=medium

  * Team upload.
  * Install the library into /usr/lib/tcltk/$(DEB_HOST_MULTIARCH), which
    makes the binary package multi-arch same.
  * Port the library code to Tcl/Tk 9.0, add a few hacks to install/load
    the library into both Tcl/Tk 8.6 and Tcl/Tk 9.0.
  * Bump the debhelper compatibility level to 13.
  * Bump the standards version to 4.7.2.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 29 Mar 2025 20:21:00 +0300

tktreectrl (2.4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (closes: #893235).
  * Refresh patches.
  * Move html docs to /usr/share/doc/tktreectrl.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 17 Mar 2018 19:23:49 +0300

tktreectrl (2.2.8-3) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS because of deleting the configure script (closes: #893119).

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 16 Mar 2018 21:55:53 +0300

tktreectrl (2.2.8-2) unstable; urgency=medium

  * Team upload.
  * Switch to the default Tcl/Tk version from 8.5 since the latter is to be
    removed from Debian (closes: #887883).
  * Convert to 3.0 (quilt) source package format.
  * Remove useless build dependency on autotools-dev.
  * Change the package priority to optional since extra priority is
    deprecated.
  * Replace the old Alioth VCS headers by the new Salsa ones.
  * Bump the debhelper compatibility level to 10.
  * Bump the standards version to 4.1.3.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 16 Mar 2018 17:45:21 +0300

tktreectrl (2.2.8-1) unstable; urgency=low

  * Initial release

 -- Miriam Ruiz <little_miry@yahoo.es>  Wed, 12 Nov 2008 15:13:17 +0100
