=== debian/control ===
Source: tktreectrl
Section: devel
Priority: optional
Maintainer: Tcl/Tk Debian Packagers <pkg-tcltk-devel@lists.alioth.debian.org>
Uploaders: Miriam Ruiz <little_miry@yahoo.es>
Build-Depends: debhelper-compat (= 13), tcl-dev, tcl8.6-dev, tcl9.0-dev, tk-dev, tk8.6-dev, tk9.0-dev
Standards-Version: 4.7.2
Homepage: http://tktreectrl.sourceforge.net/
Vcs-Browser: https://salsa.debian.org/tcltk-team/tktreectrl
Vcs-Git: https://salsa.debian.org/tcltk-team/tktreectrl.git

Package: tktreectrl
Architecture: any
Multi-Arch: same
Depends: tk | tk8.6 | tk9.0, ${shlibs:Depends}, ${misc:Depends}
Provides: tk-treectrl (= ${binary:Version}), tk8.6-treectrl (= ${binary:Version}), tk9.0-treectrl (= ${binary:Version})
Description: Flexible listbox widget for Tcl/Tk
 TkTreeCtrl is a multi-column hierarchical listbox widget for the
 Tk GUI toolkit. It can display items that have a parent-child relationship
 with other itemsin a one- or two-dimensional arrangement. Items do also have
 a set of states, which are boolean properties.
 .
 Items may be  spread about one or more columns. For each column of an item
 there is a style associated, which determines how to display the item's
 column taking into account the item's current state set. One column can be
 defined to display the data in a hierarchical structure.
