=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

TCLVERSIONS = 9.0 8.6

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/architecture.mk

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CROSS= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
else
CROSS= --build $(DEB_BUILD_GNU_TYPE)
endif

config: config-stamp
config-stamp: configure
	dh_testdir
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	for v in $(TCLVERSIONS) ; do \
		mkdir -p $(CURDIR)/debian/$$v ; \
		(cd $(CURDIR)/debian/$$v && \
		../../configure $(CROSS) \
		--prefix=/usr \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		--with-tcl=/usr/lib/tcl$$v \
		--with-tk=/usr/lib/tk$$v \
		--with-tclinclude=/usr/include/tcl$$v \
		--with-tkinclude=/usr/include/tcl$$v \
		CFLAGS="$(CFLAGS)" \
		LDFLAGS="-lm -Wl,-z,defs -Wl,--no-undefined -Wl,--as-needed") ; \
	done
	touch $@

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:  config
	dh_testdir
	for v in $(TCLVERSIONS) ; do \
		(cd $(CURDIR)/debian/$$v && \
		$(MAKE)) ; \
	done
	cp doc/treectrl.n treectrl.3tk
	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp config-stamp
	for v in $(TCLVERSIONS) ; do \
		rm -rf $(CURDIR)/debian/$$v ; \
	done
	rm -f config.sub config.guess config.cache config.log
	rm -f treectrl.3tk
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	for v in $(TCLVERSIONS) ; do \
		(cd $(CURDIR)/debian/$$v && \
		$(MAKE) install \
		prefix=$(CURDIR)/debian/tktreectrl/usr \
		DESTDIR=$(CURDIR)/debian/tktreectrl \
		DIST_DIR=$(CURDIR)/debian/tktreectrl) ; \
		if [ "$$v" = "9.0" ] ; then \
			(cd $(CURDIR)/debian/tktreectrl/usr/lib/treectrl*/ ; \
			tmp="$$(basename libtreectrl*.so)" ; echo "$$tmp" ; \
			mv $$tmp libtcl9$${tmp#lib}) ; \
		fi ; \
	done
	find $(CURDIR)/debian/tktreectrl -empty -type d -delete
	find $(CURDIR)/debian/tktreectrl -name "*.htm*" | while read f; do chmod -x "$$f"; done
	mkdir -p $(CURDIR)/debian/tktreectrl/usr/lib/tcltk/$(DEB_HOST_MULTIARCH)
	mv $(CURDIR)/debian/tktreectrl/usr/lib/treectrl* $(CURDIR)/debian/tktreectrl/usr/lib/tcltk/$(DEB_HOST_MULTIARCH)

# Build architecture-independent files here.
binary-indep: build install

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_install
	mv $(CURDIR)/debian/tktreectrl/usr/lib/tcltk/*/treectrl*/htmldoc $(CURDIR)/debian/tktreectrl/usr/share/doc/tktreectrl/
#	dh_installmenu
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: config build clean binary-indep binary-arch binary install
